#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 17. Networking Libraries

- Prev

  cURL-8.6.0

- Next

  glib-networking-2.78.0

- Up
- Home

# GeoClue-2.7.1

## Introduction to GeoClue

GeoClue is a modular geoinformation service built on top of the D-Bus messaging system. The goal of the GeoClue project is to make creating location-aware applications as simple as possible.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://gitlab.freedesktop.org/geoclue/geoclue/-/archive/2.7.1/geoclue-2.7.1.tar.bz2

- Download MD5 sum: 08bacd3b45311ee6c20e4240be7bc348

- Download size: 104 KB

- Estimated disk space required: 6.9 MB

- Estimated build time: 0.1 SBU

### GeoClue Dependencies

#### Required

JSON-GLib-1.8.0 and libsoup-3.4.4

#### Recommended

Avahi-0.8, libnotify-0.8.3, ModemManager-1.18.12, and Vala-0.56.14

#### Optional

GTK-Doc-1.33.2

## Installation of GeoClue

Install GeoClue by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -Dgtk-doc=false     \
                ..                  &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D3g-source=false`: This switch disables the 3G backend. Use it if you have not installed the ModemManager package.

`-Dmodem-gps-source=false`: This switch disables the modem GPS backend. Use it if you have not installed the ModemManager package.

`-Dcdma-source=false`: This switch disables the CDMA source backend. Use it if you have not installed the ModemManager package.

`-Dnmea-source=false`: This switch disables the NMEA source. Use it if you have not installed the Avahi package.

`-Ddemo-agent=false`: This switch disables the demo. Use it if you have not installed the libnotify package.

## Contents

Installed Programs: None
Installed Libraries: libgeoclue-2.so
Installed Directories: /etc/geoclue, /usr/include/libgeoclue-2.0, /usr/libexec/geoclue-2.0, and /usr/share/gtk-doc/html/{geoclue,libgeoclue}

- Prev

  cURL-8.6.0

- Next

  glib-networking-2.78.0

- Up
- Home